lib

# Class: ObjectClassAttribute

Source Location: /lib/schema.inc

### Class Overview

A simple class for representing AttributeTypes used only by the ObjectClass class.

### Variables

- $name
- $source

### Methods

- ObjectClassAttribute
- getName
- getSource

### Class Details

[line 476]
A simple class for representing AttributeTypes used only by the ObjectClass class.

Users should never instantiate this class. It represents an attribute internal to an ObjectClass. If PHP supported inner-classes and variable permissions, this would be interior to class ObjectClass and flagged private. The reason this class is used and not the "real" class AttributeType is because this class supports the notion of a "source" objectClass, meaning that it keeps track of which objectClass originally specified it. This class is therefore used by the class ObjectClass to determine inheritance.

[ Top ]

### Class Variables

#### $name =

[line 479]

This Attribute's name

Type: | mixed

[ Top ]

#### $source =

[line 481]

This Attribute's root

Type: | mixed

[ Top ]

### Class Methods

### constructor ObjectClassAttribute [line 489]

`ObjectClassAttribute ObjectClassAttribute( string $name, string $source)`

Creates a new ObjectClassAttribute with specified name and source objectClass.

#### Parameters:

string | $name | the name of the new attribute.
string | $source | the name of the ObjectClass which specifies this attribute.

[ Top ]

### method getName [line 496]

`void getName( )`

Gets this attribute's name
[ Top ]

### method getSource [line 502]

`void getSource( )`

Gets the name of the ObjectClass which originally specified this attribute.
[ Top ]

Documentation generated on Tue, 22 Nov 2011 16:30:08 +0100 by phpDocumentor 1.4.1